:host {
  background: #fff;

  .container {
    display: grid;
    grid-template-rows: calc(100% - 50px) 50px;
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 0;
  }

  .questions {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;

    .question__category {
      flex: 1;
      overflow: hidden;
    }

    .question__category-name,
    .question__question {
      border: 1px solid #000;
      justify-content: center;
      align-items: center;
      padding: 25px;
      display: flex;
    }

    .question__category-name {
      font-weight: bold;
      font-size: 30px;
      background-color: #d1d1d1;
      max-height: 45px;
      height: 45px;
      text-align: center;
    }

    .question__questions {
      display: flex;
      flex-direction: column;
    }

    .question__question {
      font-size: 30px;

      &.disabled {
        background-color: #ebebeb;
        text-decoration: line-through;
      }
    }
  }

  .teams {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: stretch;
    justify-content: center;

    .team {
      flex: 1;
      position: relative;

      &.not-active {
        filter: brightness(0.5);
      }
    }


    .team__name,
    .team__points {
      position: absolute;
      transform: translateY(-50%);
      top: 50%;
      color: #fff;
      font-size: 20px;
    }

    .team__name {
      left: 0;
      margin-left: 10px;
    }

    .team__points {
      right: 0;
      margin-right: 10px;
    }
  }


}
